Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: [Opgelost]"Vliegen naar" werkt niet meer in Google-Earth  (gelezen 2632 keer)

Offline aartje

  • Lid
  • Steunpunt: Nee
[Opgelost]"Vliegen naar" werkt niet meer in Google-Earth
« Gepost op: 2013/07/09, 10:39:39 »
Ik probeerde vanmorgen "Vliegen naar" (Amsterdam) in Google-earth onder Ubuntu 12.04
en dat werkte niet meer. Er kwam een een popup-window met "Ongeldig HTTP-verzoek"
(Zoekactie kan niet worden....). Dit met Google-earth versie 6.2.2.6613.
Daarna de .google-earth directory weggegooid, alsmede .config/Google.
De fout bleef.
Daarna geprobeerd op mijn Netbook met Mint14 (Mate) met dezelfde Google-earth versie.
Dat gaf hetzelfde probleem. Dat Mint-netbookje is een maand niet ge-update, de Ubuntu 12.04
is wel ge-update. Dat maakt dus niets uit.
Heeft iemand een idee wat er aan de hand is?  Is er iets bij Google niet goed ? Verder
werkt het allemaal wel. Als ik onder "Plaatsen" op een opgeslagen locatie dubbelklik ga je
daar netjes naar toe.
« Laatst bewerkt op: 2013/07/24, 08:05:55 door aartje »

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Re: "Vliegen naar" werkt niet meer in Google-Earth
« Reactie #1 Gepost op: 2013/07/09, 12:34:19 »
Verwijder het programma eens en download hier een nieuw installatiebestand.
Installeren kan door te dubbelklikken op het gedownloade bestand.

Offline aartje

  • Lid
  • Steunpunt: Nee
Re: "Vliegen naar" werkt niet meer in Google-Earth
« Reactie #2 Gepost op: 2013/07/09, 19:16:56 »
Bedankt Johan voor je antwoord maar het heeft helaas niet geholpen.

Ik heb het geprobeerd en weet nu  weer waarom ik Google-earth versie 6.xxx
gebruik. Google-earth versie 7.xxx crashte en/of er miste Streetview.
Verder als je bij "Zoeken" Amsterdam invulde kantelde de Globe naar Afrika ???

Ik heb zowel de 32 bit als de 64 bit versie geprobeerd. De 64 bit-versie crashte,
de 32 bit versie had geen streetview en "Zoeken" naar Amsterdam werkte niet zoals
boven beschreven.

Ik ga dus weer liever naar versie 6.xxxx en wel de 32-bit versie terug, die was tenminste
een stuk beter bruikbaar. (ik heb trouwens een systeem met een
Quad AMD Athlon II X4 640 Processor en onboard Radeon 2100 graphics.)
Het heeft het altijd gedaan, zowel onder Mint op mijn netboekje en Ubuntu 12.04
op mijn desktop.

Google-earth is trouwens bij mij altijd een zorgenkindje geweest, eerst op een systeem
met intel 845/855 graphics en nu weer op bovenstaande systemen.
« Laatst bewerkt op: 2013/07/10, 11:54:53 door aartje »

Offline aartje

  • Lid
  • Steunpunt: Nee
Re: "Vliegen naar" werkt niet meer in Google-Earth
« Reactie #3 Gepost op: 2013/07/09, 19:33:26 »
En ik ben niet de enige met dit probleem (en het probleem dat Google-earth
niet goed onder Ubuntu 12.04 werkt)
zie: http://productforums.google.com/forum/#!topic/earth/M3gpXH771VY
« Laatst bewerkt op: 2013/07/09, 19:37:00 door aartje »

Offline aartje

  • Lid
  • Steunpunt: Nee
Re: "Vliegen naar" werkt niet meer in Google-Earth
« Reactie #4 Gepost op: 2013/07/09, 22:24:34 »
Google heeft dus het één en ander veranderd zodat je niet meer
de "Zoek" functie kan gebruiken onder Google-earth 6.xxxx
Je ben dus gedwongen om naar Google-earth 7.xxxxx over te stappen,
terwijl die versie nog lang niet stabiel is onder verschillende Linux-systemen
, waaronder oa Linux Mint 14 Mate, Ubuntu 12.04 en Lubuntu 12.04

Je schijnt om de fout(en) heen te kunnen werken door een nieuwere
library (libcurl of zo) te gebruiken, die nog niet in de officiele distributie zit.

Ik ben dus niet kapot van de manier waarop Google met die versies van Google-earth
omgaat......
« Laatst bewerkt op: 2013/07/10, 11:52:48 door aartje »

Offline aartje

  • Lid
  • Steunpunt: Nee
Re: [Gesloten]"Vliegen naar" werkt niet meer in Google-Earth
« Reactie #5 Gepost op: 2013/07/10, 10:55:36 »
Omdat Google niet in staat is om een stabiele Google-earth versie voor
een deel van de Ubuntu systemen (waaronder mijn Mint-systeem 14 Mate,
Lubuntu 12.04 en Ubuntu 12.04 op totaal verschillende computers)
te maken, negeer ik Google-earth voorlopig.
Het heeft me nu en in het verleden teveel energie gekost om het aan de
praat te krijgen. Soms lukte het na verschillende installatiemanieren
geprobeerd te hebben, maar meestal niet.

Verder heb ik "Mijn plaatsen" ge-exporteerd vanuit G-Earth
naar een .kmz-bestand en ge-importeerd naar G-maps vanuit Firefox,
daar zal ik het maar verder mee doen.....
« Laatst bewerkt op: 2013/07/10, 11:52:25 door aartje »

Offline aartje

  • Lid
  • Steunpunt: Nee
Re: [Gesloten]"Vliegen naar" werkt niet meer in Google-Earth
« Reactie #6 Gepost op: 2013/07/24, 08:05:18 »
Ik lijk toch een oplossing gevonden te hebben:

zie:    http://askubuntu.com/questions/314509/how-to-correct-google-earths-invalid-http-request-notice



This is due to an old libcurl version, that seems to cause the trouble. If you already have libcurl on your system (and I am pretty sure Ubuntu 12.04 has), you can simply rename the libcurl coming with Google Earth like this:

sudo mv /opt/google/earth/free/libcurl.so.4 /opt/google/earth/free/backup_libcurl.so.4

And the problem should be gone.
shareimprove this answer
   
edited 2 days ago

   
answered Jul 20 at 13:37
bytefish
1012
   
1    
   
This also solved the same issue on Fedora 18 withgoogleearth 6.0.3 (except the earth version of libcurl was in a slightly different place - /usr/lib/googleearth/libcurl.so.4) THanks – Andy Paterson 18 hours ago



Bij mij werkt Googleearth 6.xxxx weer als vanouds. Je moet natuurlijk wel even zoeken waar die libcurl van Google-earth
zich bevindt. Bij mij was dat in /opt/google/earth/free

Dit hielp zowel op een desktop met 64bits Ubuntu (Gnome) 12.04 als een 32 bits Mint 14 Mate
« Laatst bewerkt op: 2013/07/26, 16:18:55 door aartje »

Offline jolo

  • Lid
  • Steunpunt: Nee
Re: [Opgelost]"Vliegen naar" werkt niet meer in Google-Earth
« Reactie #7 Gepost op: 2013/07/27, 22:16:53 »
Ik heb die sudo mv /opt/google/earth/free/libcurl.so.4 /opt/google/earth/free/backup_libcurl.so.4 hier ook geprobeerd, maar dan in Xubuntu 12.04 waarin het installeren van libcurl3 nog wel nodig bleek te zijn.
google-earth
Google Earth appears to be running already. Please kill the
 existing process, or delete /home/jolo/.googleearth/instance-running-lock if this is an error.
Pas na rm /home/jolo/.googleearth/instance-running-lock werkt Google Earth 6.03.2197 hier ook weer goed.
Hoofd PC september 2011 Asus P8Z68-V Pro i7 2600K 8 GB RAM GT730 Ubuntu 14.04
PC 2007 Asus P5B E6600 2GB RAM 8800GTS  
Notebook 2008 Lenovo ThinkPad R61i 8932GMG 2,5 GB RAM
Test pc's AthlonXP 1700+ PC 1,5 GB RAM nVidia 7600GS en Dual P3 1000 MHz 1 GB RAM X1650Pro